# $Revision: 1.7 $, $Date: 2002/07/06 13:02:55 $
Summary:	Jabber client for Mozilla
Summary(pl):	Klient jabbera dla Mozilli
Name:		mozilla-addon-jabberzilla
%define		_realname	jabberzilla
%define		_realname2	jabberxm
Version:	0.3.6beta
Release:	4
License:	GPL
Group:		X11/Applications/Networking
Source0:	http://jabberzilla.mozdev.org/releases/%{_realname2}.xpi
Source1:	http://jabberzilla.mozdev.org/releases/%{_realname}.xpi
Source2:	%{_realname}-installed-chrome.txt
URL:		http://jabberzilla.mozdev.org/
BuildRequires:	unzip
BuildRequires:	zip
BuildArch:	noarch
Requires:	mozilla >= 1.0-7
BuildRoot:	%{tmpdir}/%{_realname}-%{version}-root-%(id -u -n)

%define		_prefix		/usr/X11R6
%define		_chromedir	%{_libdir}/mozilla/chrome

%description
Jabber client for Mozilla. It can integrate with sidebar or work in
separate window. It has module with conference calls support.

%description -l pl
Klient jabbera dla mozilli. Integruje si z sidebarem lub dziaa w
osobnym okienku. Zawiera modu rozmw konferencyjnych.

%prep

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_chromedir}

unzip -o %{SOURCE0} -d  $RPM_BUILD_ROOT%{_chromedir}
unzip -o %{SOURCE1} -d  $RPM_BUILD_ROOT%{_chromedir}
cd $RPM_BUILD_ROOT%{_chromedir}/%{_realname}
zip -r -9 -m ../%{_realname}.jar $RPM_BUILD_ROOT%{_realname} ./
cd -
cd $RPM_BUILD_ROOT%{_chromedir}/%{_realname2}
zip -r -9 -m ../%{_realname2}.jar $RPM_BUILD_ROOT%{_realname2} ./
cd -
mv -f $RPM_BUILD_ROOT%{_chromedir}/components $RPM_BUILD_ROOT%{_libdir}/mozilla
install %{SOURCE2} $RPM_BUILD_ROOT%{_chromedir}

%post
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%postun
cat %{_chromedir}/*-installed-chrome.txt >%{_chromedir}/installed-chrome.txt

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%{_chromedir}/%{_realname}.jar
%{_chromedir}/%{_realname2}.jar
%{_libdir}/mozilla/components/*
%{_chromedir}/%{_realname}-installed-chrome.txt

%define date    %(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: mozilla-addon-jabberzilla.spec,v $
Revision 1.7  2002/07/06 13:02:55  jojoro
- repacked into .jar
- rel 4

Revision 1.6  2002/07/03 09:07:40  qboosh
- removed %%{_libdir}/mozilla/components dir (belongs to mozilla); release 3

Revision 1.5  2002/06/23 18:35:26  kloczek
- make package as noarch,
- simplifications in %post/%postun.

Revision 1.4  2002/06/23 16:22:50  adgor
- Corrected %%post & %%postun
- Requires: mozilla >= 1.0-7
- Release 2

Revision 1.3  2002/06/22 23:20:39  qboosh
- cleanups and cosmetics, added en description

Revision 1.2  2002/06/21 18:24:54  jojoro
- files placement fixed

Revision 1.1  2002/06/21 13:45:08  jojoro
- initial release
- Please test it! I can login to jabber server, but nothing more!
